include tmp/common.conf
# Multithreading grok

<extension grok>
    Module xm_grok
    Pattern modules/extension/grok/patterns
</extension>

<input in>
    Module im_testgen
    MaxCount 1000
</input>

<output out_odd>
    <Exec>
	if match_grok($raw_event, "%{TESTGEN_EVEN}") drop();
	match_grok("%{TESTGEN_ODD}");
	$raw_event=$id;
    </Exec>
    Module om_file
    File "tmp/out-odd"
</output>

<output out_even>
    <Exec>
	match_grok("%{TESTGEN_EVEN}");
	if not defined $id drop();
	if match_grok($raw_event, "%{TESTGEN_ODD}") drop();
	$raw_event=$id;
    </Exec>
    Module om_file
    File "tmp/out-even"
</output>

<output out>
    <Exec>
    $Message = $raw_event;
	if not match_grok($Message, "%{TESTGEN}") drop();
	if not match_grok($raw_event, "%{MONTH}") drop();
	if not match_grok($raw_event, "%{TIME}") drop();
	match_grok($Message, "%{TESTGEN}");
	$raw_event = $id;
    </Exec>
    Module om_file
    File "tmp/output"
</output>

<Route 1>
    Path in => out_odd, out_even, out
</Route>